# See here for image contents: https://github.com/microsoft/vscode-dev-containers/tree/v0.217.1/containers/javascript-node/.devcontainer/base.Dockerfile

# [Choice] Node.js version (use -bullseye variants on local arm64/Apple Silicon): 16, 14, 12, 16-bullseye, 14-bullseye, 12-bullseye, 16-buster, 14-buster, 12-buster
ARG VARIANT="16-bullseye"
FROM mcr.microsoft.com/vscode/devcontainers/javascript-node:0-${VARIANT}

# [Optional] Uncomment this section to install additional OS packages.
RUN apt-get update && export DEBIAN_FRONTEND=noninteractive \
    && apt-get -y install --no-install-recommends openjdk-17-jre-headless

# [Optional] Uncomment if you want to install an additional version of node using nvm
# ARG EXTRA_NODE_VERSION=10
# RUN su node -c "source /usr/local/share/nvm/nvm.sh && nvm install ${EXTRA_NODE_VERSION}"

# [Optional] Uncomment if you want to install more global node modules
# RUN su node -c "npm install -g <your-package-list-here>"

RUN wget -O tcases.tar.gz https://search.maven.org/remotecontent?filepath=org/cornutum/tcases/tcases-shell/3.8.0/tcases-shell-3.8.0.tar.gz \
    && sudo mkdir tcases && tar zxvf tcases.tar.gz -C tcases --strip-components 1 && sudo rm tcases.tar.gz \
    && sudo mv tcases /usr/local/tcases